Subject: Re: Fork of abandoned SVN mirror - how to keep up to date with the SVN

From: jamespetts <[email-masked]>
Date: Sun, 29 Mar 2009 05:08:57 -0700 (PDT)

Heya,

[it is customary on this list not to top post and to reply in-line,
like I'm doing now]

Ohh, terribly sorry - didn't realise.

On Sun, Mar 29, 2009 at 13:52, jamespetts <[email-masked]> wrote:
> Also, when I tried "git svn rebase", I got the following error:

> And the local directories for the repositories are still empty. Am I doing something wrong...?

You need to do something like 'git reset --hard trunk' on the master
branch, after which you can use 'git svn rebase'. This is needed the
first time only so that git svn can then figure out where you're at
from the commit messages.

Thank you for that suggestion :-) Unfortunately, "git reset --hard trunk" produced the following error:

"fatal: ambiguous argument 'trunk': unknown revision or path not in the working tree.

"use '--' to separate paths from revisions".

What am I doing wrong this time...?
-- 
View this message in context: http://n2.nabble.com/Fork-of-abandoned-SVN-mirror---how-to-keep-up-to-date-with-the-SVN-tp2548952p2552369.html
Sent from the git mailing list archive at Nabble.com.